Host Datastore System Create Vvol Datastore

Host Datastore System Create Vvol Datastore
Create a Virtual-Volume based datastore

Create a Virtual-Volume based datastore

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/CreateVvolDatastore
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreateVvolDatastoreRequestType of type(s) application/json
Required

Show optional properties

{
    "spec": {}
}
{
    "spec": {
        "_typeName": "string",
        "name": "string",
        "scId": "string"
    }
}
spec
Required

Specification for creating a Virtual-Volume based datastore.

Authentication
This operation uses the following authentication methods.
Responses
200

The newly created datastore.

Returns MoRefDatastore of type(s) application/json
This response body class contains all of the following: MoRefManagedEntity
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotFound: if the storage container could not be found.

DuplicateName: if a datastore with the same name already exists.

HostConfigFault: if unable to create the datastore on host.

InvalidName: if name is not valid datastore name

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"spec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/CreateVvolDatastore